Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004622 [JEDI VCL] 00 JVCL Components crash always 2008-12-17 00:33 2008-12-30 02:14
Reporter teddy_bear_45 View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.35
Summary 0004622: JvDBSearchComboBox crash with Delphi 2009
Description Since TBookmark is TByte, TJvDBSearchComboBox crash when selecting a item in the list and it is not able to find the current record to display it.
Additional Information Delphi 2009
I have find a way to fix this.
Tags JvDBSearchComboBox
Attached Files ? file icon JvDBSearchComboBox.pas [^] (10,773 bytes) 2008-12-17 00:33
zip file icon JvDbSearchCombo_bug_0004622.zip [^] (2,137 bytes) 2008-12-24 09:02

- Relationships
related to 0004620resolvedobones Invalid pointer operation in JvDBSearchComboBox 

-  Notes
(0015101)
obones (administrator)
2008-12-17 07:45

Can you confirm that this bug is still present in the SVN version?
(0015103)
teddy_bear_45 (reporter)
2008-12-17 08:38

with the svn version, displaying current record works ( same correction i have post ).
There is still the crash when i open the list.
NOTE: DataSet is TADOQuery.
(0015104)
debose (reporter)
2008-12-17 13:40

i have a crash when change record via this combobox. for some records it works, but for some crashes.
version from SVN trunk.
Dataset is TClientDataSet
(0015164)
obones (administrator)
2008-12-22 06:10

Please provide the zipped sources of an autonomous sample application showing this issue.
(0015184)
debose (reporter)
2008-12-24 09:04

uploaded demo. bug appears when compiled in D2009.

Seems like this is the same bug as 0004620
http://homepages.codegear.com/jedi/issuetracker/view.php?id=4620 [^]
(0015185)
debose (reporter)
2008-12-24 09:09

p.s. fix that provided teddy_bear_45 works perfectly!
(0015190)
obones (administrator)
2008-12-30 02:14

This is now fixed in SVN

- Issue History
Date Modified Username Field Change
2008-12-17 00:33 teddy_bear_45 New Issue
2008-12-17 00:33 teddy_bear_45 File Added: JvDBSearchComboBox.pas
2008-12-17 07:45 obones Note Added: 0015101
2008-12-17 07:45 obones Status new => feedback
2008-12-17 08:38 teddy_bear_45 Note Added: 0015103
2008-12-17 13:40 debose Note Added: 0015104
2008-12-17 13:40 debose Issue Monitored: debose
2008-12-22 06:10 obones Note Added: 0015164
2008-12-24 09:02 debose File Added: JvDbSearchCombo_bug_0004622.zip
2008-12-24 09:04 debose Note Added: 0015184
2008-12-24 09:09 debose Note Added: 0015185
2008-12-24 09:10 debose Tag Attached: JvDBSearchComboBox
2008-12-30 00:50 obones Relationship added related to 0004620
2008-12-30 02:14 obones Note Added: 0015190
2008-12-30 02:14 obones Status feedback => resolved
2008-12-30 02:14 obones Fixed in Version => Daily / SVN
2008-12-30 02:14 obones Resolution open => fixed
2008-12-30 02:14 obones Assigned To => obones
2009-03-25 01:50 debose Issue End Monitor: debose


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker